Modify

Opened 5 years ago

Closed 10 months ago

#4892 closed defect (othersoftware)

Add/Draw nodes tool stops being able to create ways on OSX

Reported by: Wim Lewis <wiml@…> Owned by: team
Priority: major Milestone:
Component: Core Version: latest
Keywords: OSX draw mode Cc:

Description (last modified by skyper)

The add/draw nodes tool ("A") sometimes stops being able to create ways. Normally I can create a new way by clicking on each new node's location (or on existing nodes) and doubleclicking to finish. However, when this problem occurs, the new nodes are created, and sometimes the most recent segment of the way is visible (connecting a node to my mouse cursor), but the way is not actually created when I finish. I end up with a few new, unconnected, untagged nodes but no new way.

There are no exception dialogs or messages to the console. The consistency check menu item doesn't report any problems.

This problem will occur after I've been using JOSM for a little while (sometimes only briefly, sometimes after a long while). It becomes impossible to create new ways for a while, but sometimes the problem will spontaneously fix itself. I haven't been able to figure out what causes or what fixes the problem. (Quitting JOSM and restarting always fixes it.)

I'm still able to create new ways by copying+pasting an existing way, so the problem seems to be with the tool, not with JOSM's ability to create ways(?).

This has been happening occasionally for a long time but seems to be happening more frequently lately.

I'm running on Mac OS X 10.6.2, Java 1.6.0_17.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-04-08 01:31:17
Last Changed Author: bastiK
Revision: 3174
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-04-07 10:35:16 +0200 (Wed, 07 Apr 2010)
Last Changed Rev: 3174

loading plugin 'wmsplugin' (version 20566)
loading plugin 'PicLayer' (version 20217)
loading plugin 'dataimport' (version 20431)
loading plugin 'remotecontrol' (version 19946)
loading plugin 'validator' (version 20579)
loading plugin 'slippymap' (version 19887)
loading plugin 'lakewalker' (version 19624)
loading plugin 'graphview' (version 19441)
loading plugin 'measurement' (version 19681)

Attachments (0)

Change History (16)

comment:1 Changed 4 years ago by Wim Lewis <wiml@…>

FYI, this is still happening occasionally (JOSM 3721, Mac OS X 10.6.5, Java 1.6.0_22).

comment:2 Changed 4 years ago by Wim Lewis <wiml@…>

Still happening in JOSM 4006. Frustrating!

comment:3 Changed 4 years ago by bastiK

AFAIK you are the only one that reported this kind of bug, also the nature of problem makes it kind of hard to debug. That's the reason it does not have the highest priority...

comment:4 follow-up: Changed 4 years ago by stoecker

Maybe the SHIFT key of your keyboard is hanging sometimes?

comment:5 in reply to: ↑ 4 Changed 4 years ago by wiml@…

Replying to stoecker:

Maybe the SHIFT key of your keyboard is hanging sometimes?

I can switch to other applications and use them normally and then go back to JOSM and still have the problem, so I don't think it's a physically stuck key or anything.

I tried holding down various modifiers when I have the problem and discovered that I can create ways in this state if I hold down CTRL. (I can't connect the created way to existing nodes, but I can create the way and then merge its nodes with existing nodes if I need to do that.)

I'm surprised I'm the only one seeing this problem; I have it pretty frequently. Is there something I can do to help diagnose it?

comment:6 Changed 4 years ago by hotbelgo

I'm seeing the same issue with 4021 on OSX (and many previous versions). The CTRL trick does help and then you can merge routes created that way with existing assets.
I too cannot offer any further patterns that cause it - I'm happy to share for debug info if told where to look for it.

comment:7 follow-up: Changed 3 years ago by anonymous

Another trick I found was to save the layer (as .osm) and then it worked again!

comment:8 in reply to: ↑ 7 Changed 3 years ago by anonymous

Replying to anonymous:

FWIW, I am having this issue as well, on OS X, version info

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2011-04-26 01:31:34
Last Changed Author: bastiK
Revision: 4064
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2011-04-25 20:32:26 +0200 (Mon, 25 Apr 2011)
Last Changed Rev: 4064


Identification: JOSM/1.5 (4064 en)
Memory Usage: 505 MB / 505 MB (191 MB allocated, but free)
Java version: 1.6.0_24, Apple Inc., Java HotSpot(TM) 64-Bit Server VM
Operating system: Mac OS X
Dataset consistency test: No problems found
Last edited 3 years ago by skyper (previous) (diff)

comment:9 Changed 3 years ago by skyper

  • Description modified (diff)
  • Keywords OSX draw mode added
  • Summary changed from Add/Draw nodes tool stops being able to create ways to Add/Draw nodes tool stops being able to create ways on OSX

comment:10 follow-up: Changed 3 years ago by akks

Does it still happen? There were lot of changes in Draw Action...

comment:11 in reply to: ↑ 10 ; follow-up: Changed 3 years ago by Wim Lewis <wiml@…>

Replying to akks:

Yes, it just happened again in -latest:

Build-Date: 2012-03-27 01:31:58
Last Changed Author: Don-vip
Revision: 5125
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-03-26 21:26:51 +0200 (Mon, 26 Mar 2012)
Last Changed Rev: 5125

comment:12 in reply to: ↑ 11 Changed 3 years ago by anonymous

Yes, seen it again today with latest JOSM, Java and OSX

Replying to Wim Lewis <wiml@…>:

Replying to akks:

Yes, it just happened again in -latest:

Build-Date: 2012-03-27 01:31:58
Last Changed Author: Don-vip
Revision: 5125
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-03-26 21:26:51 +0200 (Mon, 26 Mar 2012)
Last Changed Rev: 5125

comment:13 Changed 3 years ago by akks

Can someone reproduce it intentionally or at least remember what you were doing exactly?

Does not presseing Alt (Meta) , Shift, Ctrl multiple times help?
Does problem vanish when you switch modes (S-A-S-A)?

comment:14 Changed 22 months ago by Stereo

Can someone reproduce it intentionally or at least remember what you were doing exactly?

It now does this all the time for me. It used to, too, but then it didn't for a while. I really don't know how to reproduce this reliably, but am willing to test things while the symptom exists.

Does not presseing Alt (Meta) , Shift, Ctrl multiple times help?

Pressing Shift as I click on an existing node helps. This lets me continue a way, at least until the next node, so it's click, shift-click, move, click, shift-click, move, click, etc.

Does problem vanish when you switch modes (S-A-S-A)?

Somewhat. After clicking on a node in Draw mode, switching to Select mode and back does produce the drawing line. If I then draw my way and click down, it goes back to the non-drawing behaviour.

User Dion Dock seems to have the same problem: http://www.openstreetmap.org/user/Dion%20Dock/diary/18059

comment:15 follow-up: Changed 22 months ago by Stereo

Ok, I've narrowed it down to a conflict with, of all things, Bartender, a menu bar management app.

Can the other people who have this issue confirm they're running Bartender, or something similar that would change your menu bar?

JOSM developers, how can I help you find out how the two are conflicting?

comment:16 in reply to: ↑ 15 Changed 10 months ago by Don-vip

  • Resolution set to othersoftware
  • Status changed from new to closed

Replying to Stereo:

JOSM developers, how can I help you find out how the two are conflicting?

2 solutions:

  • get your hands dirty and try to find how by yourself
  • buy us a Mac and this software :D

More seriously, closing it as othersoftware. The best thing you could do, if you have bought this software, is to contact Bartender's support and tell them their buggy software provokes incredible conflicts with your favourite Java application :)

Add Comment

Modify Ticket

Change Properties
<Author field>
Action
as closed The owner will remain team.
as The resolution will be set. Next status will be 'closed'.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.